## zowe › endevor › print › element

The print element command prints selected information about Element in Endevor.

#### Usage

zowe endevor print element <element> [options]

#### Positional Arguments

- `element` (string)

  - Name of the Endevor element.

#### endevor-location definition options

- `--environment` | `--env` (string)

  - The Endevor environment where your project resides.

- `--system` | `--sys` (string)

  - The Endevor system where your project resides.

- `--subsystem` | `--sub` (string)

  - The Endevor subsystem where your project resides.

- `--type` | `--typ` (string)

  - Name of the Endevor element's type.

- `--stage-number` | `--sn` (string)

  - The Endevor stage number where your project resides.

    Allowed values: \*, \%, 1, 2

- `--maxrc` (number)

  - The maximum value of the return code of a successful action. When the return code is greater than the maxrc value, the command fails

    Default value: 8

- `--instance` | `-i` (string)

  - Specifies Endevor Web Services dataSource name.

#### options

- `--level` | `--lev` (number)

  - Indicates the level number of the element (use along with the version option).

- `--element-version` | `--ev` (number)

  - Indicates the version number of the element (use along with the level option).

- `--print` (string)

  - Specify the type of data to print out for print element command

    Default value: browse
    Allowed values: browse, changes, history, summary, master, listing

- `--list-string` | `--ls` (string)

  - Specifies the one to eight character text-string used to identify the listing data set to print.

- `--search` | `--sea` (boolean)

  - Enables the search through the Endevor map.

- `--headings` (boolean)

  - Specify it if you want to print a header on each page.

- `--explode` | `--exp` | `--ex` (boolean)

  - Specify to print component info from ACMQ.

- `--expand-includes` | `--expand` | `--ei` (boolean)

  - Indicates that INCLUDE statements should be expanded in the course of the action.

- `--where-ccid-current` | `--wcc` (string)

  - Instructs Endevor to search through the CCID fields in the Master Control File to find a specified CCIDs.
    Accept up to 8 CCIDs separated by ", ". Enclose CCIDs that contain special characters in quotes.

- `--where-ccid-all` | `--wca` (string)

  - Instructs Endevor to search both the Master Control File and the SOURCE DELTA levels for a specified CCIDs.
    Accepts up to 8 CCIDs separated by ", ". Enclose CCIDs that contain special characters in quotes.

- `--where-ccid-retrieve` | `--wcr` (string)

  - Instructs Endevor to use the CCID in the Master Control File RETRIEVE CCID field.
    Accepts up to 8 CCIDs separated by ", ". Enclose CCIDs that contain special characters in quotes.

- `--where-proc-group` | `--wpg` (string)

  - Lets you select Elements according to a specified Processor group. You can use a wildcard when specifying the Processor group name.
    Accepts up to 8 Processor group names separated by ", ".

- `--charset` | `--char` (string)

  - Specifies the clients preferred character set when retrieving, printing or updating elements.

    Default value: false

#### asynchronous task options

- `--asynchronous` | `--async` (boolean)

  - Submit this command as an asynchronous Endevor Web Services task

#### output customization options

- `--to-file` | `--tf` (string)

  - The file name in which the data from the command output is stored

- `--suppress-messages` | `--sm` (boolean)

  - Suppress all [INFO]/[WARN] messages from terminal output.

- `--report-file` | `--file-name` (string)

  - File name for saving reports from Endevor SCM locally.

- `--report-dir` (string)

  - Directory for saving reports from Endevor SCM locally, if --report-file wasn't specified. Defaults to current directory.

- `--write-report` (boolean)

  - Write the endevor reports to a file. By default, when return code is 0, no report will be written, unless this option is specified. When return code is bigger than 0, reports will be written to a file, unless this option is specifed to be false

#### endevor session definition options

- `--host` | `--hostname` (string)

  - Specifies the base host name.

- `--port` | `-p` (string)

  - Specifies the port number.

- `--protocol` | `--prot` (string)

  - Specifies the protocol used for connecting to Endevor Rest API

    Default value: https
    Allowed values: http, https

- `--user` | `--username` (string)

  - Specifies the user name.

- `--password` | `--pass` (string)

  - Specifies the user's password.

- `--reject-unauthorized` | `--ru` (boolean)

  - Specify this option to have the server certificate verified against the list of supplied CAs

- `--base-path` | `--bp` (string)

  - Specifies the base path used for connecting to Endevor Rest API

#### Profile Options

- `--endevor-profile` | `--endevor-p` (string)

  - The name of a (endevor) profile to load for this command execution.

- `--endevor-location-profile` | `--endevor-location-p` (string)

  - The name of a (endevor-location) profile to load for this command execution.

- `--base-profile` | `--base-p` (string)

  - The name of a (base) profile to load for this command execution.

#### Base Connection Options

- `--token-type` | `--tt` (string)

  - The type of token to get and use for the API. Omit this option to use the default token type, which is provided by 'zowe auth login'.

- `--token-value` | `--tv` (string)

  - The value of the token to pass to the API.

- `--cert-file` (local file path)

  - The file path to a certificate file to use for authentication.

    Note: The CLI does not support certificate files that require a password. For more information, search Troubleshooting PEM Certificates in Zowe Docs.

- `--cert-key-file` (local file path)

  - The file path to a certificate key file to use for authentication

#### Examples

- Print element from specified inventory location with endevor profile set up:

  - `zowe endevor print element elementName --env ENV --sn 1 --sys SYS --sub SUB --typ TYPE -i ENDEVOR`